com.example.instilostandfound

## Class emailFragment

- java.lang.Object
- - androidx.fragment.app.Fragment
  - - com.example.instilostandfound.emailFragment

All Implemented Interfaces:
  android.content.ComponentCallbacks, android.view.View.OnClickListener, android.view.View.OnCreateContextMenuListener, androidx.lifecycle.LifecycleOwner, androidx.lifecycle.ViewModelStoreOwner, androidx.savedstate.SavedStateRegistryOwner

    public class emailFragment
    extends androidx.fragment.app.Fragment
    implements android.view.View.OnClickListener

Fragment class to send message to user

### Nested Class Summary

### Nested classes/interfaces inherited from class androidx.fragment.app.Fragment

`androidx.fragment.app.Fragment.InstantiationException, androidx.fragment.app.Fragment.SavedState`

### Constructor Summary

Constructors
Constructor and Description
`emailFragment()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `onClick(android.view.View v)` On click method for sending the message button
`android.view.View` `onCreateView(android.view.LayoutInflater inflater, android.view.ViewGroup container, android.os.Bundle savedInstanceState)` On create method when fragement is generated

### Methods inherited from class androidx.fragment.app.Fragment

`dump, equals, getActivity, getAllowEnterTransitionOverlap, getAllowReturnTransitionOverlap, getArguments, getChildFragmentManager, getContext, getEnterTransition, getExitTransition, getFragmentManager, getHost, getId, getLayoutInflater, getLayoutInflater, getLifecycle, getLoaderManager, getParentFragment, getReenterTransition, getResources, getRetainInstance, getReturnTransition, getSavedStateRegistry, getSharedElementEnterTransition, getSharedElementReturnTransition, getString, getString, getTag, getTargetFragment, getTargetRequestCode, getText, getUserVisibleHint, getView, getViewLifecycleOwner, getViewLifecycleOwnerLiveData, getViewModelStore, hashCode, hasOptionsMenu, instantiate, instantiate, isAdded, isDetached, isHidden, isInLayout, isMenuVisible, isRemoving, isResumed, isStateSaved, isVisible, onActivityCreated, onActivityResult, onAttach, onAttach, onAttachFragment, onConfigurationChanged, onContextItemSelected, onCreate, onCreateAnimation, onCreateAnimator, onCreateContextMenu, onCreateOptionsMenu, onDestroy, onDestroyOptionsMenu, onDestroyView, onDetach, onGetLayoutInflater, onHiddenChanged, onInflate, onInflate, onLowMemory, onMultiWindowModeChanged, onOptionsItemSelected, onOptionsMenuClosed, onPause, onPictureInPictureModeChanged, onPrepareOptionsMenu, onPrimaryNavigationFragmentChanged, onRequestPermissionsResult, onResume, onSaveInstanceState, onStart, onStop, onViewCreated, onViewStateRestored, postponeEnterTransition, postponeEnterTransition, registerForContextMenu, requestPermissions, requireActivity, requireArguments, requireContext, requireFragmentManager, requireHost, requireParentFragment, requireView, setAllowEnterTransitionOverlap, setAllowReturnTransitionOverlap, setArguments, setEnterSharedElementCallback, setEnterTransition, setExitSharedElementCallback, setExitTransition, setHasOptionsMenu, setInitialSavedState, setMenuVisibility, setReenterTransition, setRetainInstance, setReturnTransition, setSharedElementEnterTransition, setSharedElementReturnTransition, setTargetFragment, setUserVisibleHint, shouldShowRequestPermissionRationale, startActivity, startActivity, startActivityForResult, startActivityForResult, startIntentSenderForResult, startPostponedEnterTransition, toString, unregisterForContextMenu`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### emailFragment

    public emailFragment()

### Method Detail

#### onCreateView

    @Nullable
    public android.view.View onCreateView(@NonNull
                                                    android.view.LayoutInflater inflater,
                                                    @Nullable
                                                    android.view.ViewGroup container,
                                                    @Nullable
                                                    android.os.Bundle savedInstanceState)

On create method when fragement is generated

Overrides:
  `onCreateView` in class `androidx.fragment.app.Fragment`
Parameters:
  `inflater` - default param
  `container` - default param
  `savedInstanceState` - default param
Returns:

#### onClick

    public void onClick(android.view.View v)

On click method for sending the message button

Specified by:
  `onClick` in interface `android.view.View.OnClickListener`
Parameters:
  `v` - Claim button